{
  "description": "개발PC에서 실행함. bd-test-cubrid 와 연결. 메시지 수신 후 cubrid 저장",
  "myHostId": "bd-test-cubrid",
  "myListenPort": 17801,
  "knownAgentList": [
    {
      "hostId": "bd-test-oracle",
      "hostName": "mkami.foxsoft.kr",
      "listenPort": 17801,
      "dropBoxIdList": []
    }
  ],
  "statusChecker": {
    "cron": "0/5 * * * * *"
  },
  "dataSourceConfig": [
    {
      "dataSourceId": "cubrid",
      "driverClassName": "cubrid.jdbc.driver.CUBRIDDriver",
      "url": "jdbc:cubrid:14.63.185.105:33000:amif:ami::",
      "username": "ami",
      "password": "fox12#$%",
      "maximumRowForTransaction": 1000
    }
  ],
  "sqlMapperLocations": [
    "D:/projects/bsm-lab/dfx/dfxagent/src/docs/mapper-examples/**/*.xml"
  ],
  "logging": {
    "logDirectory": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/logs",
    "logFileName": "dfxagent.log",
    "logName": "DFX_LOG",
    "maxHistory": 30,
    "logPattern": "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n",
    "rootLogLevel": "DEBUG",
    "packages": [
      {
        "com.bsmlab.dfx.agent": "DEBUG",
        "jdbc.sqlonly": "DEBUG",
        "org.springframework": "INFO"
      }
    ]
  },
  "dropBoxConfig": {
    "receivedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/received",
    "processedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/processed",
    "failureMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/failure",
    "threadPoolSize": 300,
    "retentionDaysOfProcessedMessage": 60,
    "dropBoxList": [
      {
        "dropBoxId": "db-bd-cubrid-save",
        "taskType": "RECEIVE_DB_TO_DB_SAVE",
        "dataSourceId": "cubrid",
        "sqlId": "address.dropbox.cubrid.ttoBd.insertTtoBd"
      }
    ]
  },
  "postmanConfig": {
    "threadPoolSize": 30,
    "postmanList": []
  }
}
